import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema';
import { ShoppingVendorCountOrderByAggregateInputObjectSchema as ShoppingVendorCountOrderByAggregateInputObjectSchema } from './ShoppingVendorCountOrderByAggregateInput.schema';
import { ShoppingVendorAvgOrderByAggregateInputObjectSchema as ShoppingVendorAvgOrderByAggregateInputObjectSchema } from './ShoppingVendorAvgOrderByAggregateInput.schema';
import { ShoppingVendorMaxOrderByAggregateInputObjectSchema as ShoppingVendorMaxOrderByAggregateInputObjectSchema } from './ShoppingVendorMaxOrderByAggregateInput.schema';
import { ShoppingVendorMinOrderByAggregateInputObjectSchema as ShoppingVendorMinOrderByAggregateInputObjectSchema } from './ShoppingVendorMinOrderByAggregateInput.schema';
import { ShoppingVendorSumOrderByAggregateInputObjectSchema as ShoppingVendorSumOrderByAggregateInputObjectSchema } from './ShoppingVendorSumOrderByAggregateInput.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  vendorName: SortOrderSchema.optional(),
  websiteUrl: SortOrderSchema.optional(),
  loginUsername: SortOrderSchema.optional(),
  loginPassword: SortOrderSchema.optional(),
  _count: z.lazy(() => ShoppingVendorCountOrderByAggregateInputObjectSchema).optional(),
  _avg: z.lazy(() => ShoppingVendorAvgOrderByAggregateInputObjectSchema).optional(),
  _max: z.lazy(() => ShoppingVendorMaxOrderByAggregateInputObjectSchema).optional(),
  _min: z.lazy(() => ShoppingVendorMinOrderByAggregateInputObjectSchema).optional(),
  _sum: z.lazy(() => ShoppingVendorSumOrderByAggregateInputObjectSchema).optional()
}).strict();
export const ShoppingVendorOrderByWithAggregationInputObjectSchema: z.ZodType<Prisma.ShoppingVendorOrderByWithAggregationInput> = makeSchema() as unknown as z.ZodType<Prisma.ShoppingVendorOrderByWithAggregationInput>;
export const ShoppingVendorOrderByWithAggregationInputObjectZodSchema = makeSchema();
